package com.mx.cneeds.server.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.annotation.DataFilter;
import com.mx.cneeds.common.dto.DataFilterDto;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.SysUserEntity;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * 用户信息表
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-01-09 15:09:01
 */
public interface SysUserService extends IService<SysUserEntity> {

    PageUtils queryPage(Map<String, Object> params);

    SysUserEntity queryUserByUsername(String username);

    void deleteBatch(Long[] userIds);

    void saveUser(SysUserEntity user, List<Long> funcIdList, List<Long> deptIdList, Long roleId);

    void update(SysUserEntity user, List<Long> funcIdList, List<Long> deptIdList);

    List<String> getUserPerms(String username);

    String genDataFilter(DataFilterDto dataFilterDto);
}

